Skip to main content
GET
Every catalogue item, published or not: what it is, its agreed price and supplier, its limits, who it is for, and how…

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
code
string
name
string
summary
string
description
string
kind
string
catalog_category_id
string
catalog_category
string
part_id
string
part_number
string
part_name
string
asset_model_id
string
asset_model
string
asset_category_id
string
asset_category
string
unit_price
string
unit_price_currency_id
string
currency
string
unit_of_measure_id
string
unit_of_measure
string
pack_size
string
price_valid_until
string
preferred_vendor_id
string
preferred_vendor
string
contract_id
string
supplier_part_number
string
lead_time_days
string
min_quantity
string
max_quantity_per_request
string
limit_quantity
string
limit_period_months
string
used_quantity
string
specifications
string
is_published
string
published_at
string
primary_image_file_id
string
image_count
string
available_quantity
string
audiences
string
row_version
string
created_at
string
updated_at
string
created_by
string
updated_by
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_category
string<character varying>
Maximum string length: 200
asset_category_id
string<uuid>

Note: This is a Foreign Key to asset_categories.id.

asset_model
string<character varying>
Maximum string length: 200
asset_model_id
string<uuid>

Note: This is a Foreign Key to asset_model_settings.id.

audiences
string<jsonb>
available_quantity
number<numeric>
catalog_category
string<character varying>
Maximum string length: 200
catalog_category_id
string<uuid>

Note: This is a Foreign Key to catalog_categories.id.

code
string<character varying>
Maximum string length: 60
contract_id
string<uuid>

Note: This is a Foreign Key to contract_cover.contract_id.

created_at
string<timestamp with time zone>
created_by
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

currency
string<character varying>
Maximum string length: 3
description
string<text>
id
string<uuid>

Note: This is a Primary Key.

image_count
integer<bigint>
is_published
boolean<boolean>
kind
string<character varying>
Maximum string length: 10
lead_time_days
integer<integer>
limit_period_months
integer<integer>
limit_quantity
number<numeric>
max_quantity_per_request
number<numeric>
min_quantity
number<numeric>
name
string<character varying>
Maximum string length: 200
pack_size
number<numeric>
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
preferred_vendor
string<character varying>
Maximum string length: 200
preferred_vendor_id
string<uuid>

Note: This is a Foreign Key to assignable_vendors.id.

price_valid_until
string<date>
primary_image_file_id
string<uuid>
published_at
string<timestamp with time zone>
row_version
integer<bigint>
specifications
string<jsonb>
summary
string<character varying>
Maximum string length: 300
supplier_part_number
string<character varying>
Maximum string length: 120
unit_of_measure
string<character varying>
Maximum string length: 30
unit_of_measure_id
string<uuid>

Note: This is a Foreign Key to units_of_measure.id.

unit_price
number<numeric>
unit_price_currency_id
string<uuid>

Note: This is a Foreign Key to asset_cost_to_keep.currency_id.

updated_at
string<timestamp with time zone>
updated_by
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

used_quantity
number<numeric>